View Issue Details

IDProjectCategoryView StatusLast Update
0032841LazarusIDEpublic2017-12-24 11:55
ReporterMarcelo B PaulaAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSWindowsOS Version10
Product Version1.9 (SVN)Product Build 
Target VersionFixed in Version1.8.2 
Summary0032841: IDE untranslated string on frame selection dialog
DescriptionDuring testing bug 0032795 i found an untranslated string in main.pp (the call of select frame dialog).

Attached a diff file for evaluation.

Lazarus 1.9 SVN 56762
TagsNo tags attached.
Fixed in Revision56795
LazTarget-
WidgetsetWin32/Win64
Attached Files
  • main.diff (928 bytes)
    Index: ide/lazarusidestrconsts.pas
    ===================================================================
    --- ide/lazarusidestrconsts.pas	(revis�o 56762)
    +++ ide/lazarusidestrconsts.pas	(c�pia de trabalho)
    @@ -6411,6 +6411,8 @@
       lismpTrimClipboardContents = '&Trim clipboard contents';
       lismpPreview = '&Preview';
       lisUnableToRun2 = 'Unable to run "%s"';
    +
    +  lisSelectFrame = 'Select Frame';
     implementation
     
     end.
    Index: ide/main.pp
    ===================================================================
    --- ide/main.pp	(revis�o 56762)
    +++ ide/main.pp	(c�pia de trabalho)
    @@ -5701,7 +5701,7 @@
       UnitList := TStringList.Create;
       try
         dummy := false;
    -    if SourceFileMgr.SelectUnitComponents('Select Frame',piFrame,UnitList, false, dummy) <> mrOk
    +    if SourceFileMgr.SelectUnitComponents(lisSelectFrame,piFrame,UnitList, false, dummy) <> mrOk
         then
           exit;
         for i := 0 to UnitList.Count-1 do
    
    main.diff (928 bytes)

Relationships

related to 0032795 closedMattias Gaertner [Regression] TFrame causing error on drop 

Activities

Marcelo B Paula

2017-12-17 14:31

reporter  

main.diff (928 bytes)
Index: ide/lazarusidestrconsts.pas
===================================================================
--- ide/lazarusidestrconsts.pas	(revis�o 56762)
+++ ide/lazarusidestrconsts.pas	(c�pia de trabalho)
@@ -6411,6 +6411,8 @@
   lismpTrimClipboardContents = '&Trim clipboard contents';
   lismpPreview = '&Preview';
   lisUnableToRun2 = 'Unable to run "%s"';
+
+  lisSelectFrame = 'Select Frame';
 implementation
 
 end.
Index: ide/main.pp
===================================================================
--- ide/main.pp	(revis�o 56762)
+++ ide/main.pp	(c�pia de trabalho)
@@ -5701,7 +5701,7 @@
   UnitList := TStringList.Create;
   try
     dummy := false;
-    if SourceFileMgr.SelectUnitComponents('Select Frame',piFrame,UnitList, false, dummy) <> mrOk
+    if SourceFileMgr.SelectUnitComponents(lisSelectFrame,piFrame,UnitList, false, dummy) <> mrOk
     then
       exit;
     for i := 0 to UnitList.Count-1 do
main.diff (928 bytes)

Maxim Ganetsky

2017-12-19 15:32

developer   ~0104848

Applied, thanks.

Marcelo B Paula

2017-12-24 11:55

reporter   ~0104984

Thanks

Issue History

Date Modified Username Field Change
2017-12-17 14:31 Marcelo B Paula New Issue
2017-12-17 14:31 Marcelo B Paula File Added: main.diff
2017-12-17 16:13 Juha Manninen Relationship added related to 0032795
2017-12-18 17:48 Maxim Ganetsky Assigned To => Maxim Ganetsky
2017-12-18 17:48 Maxim Ganetsky Status new => assigned
2017-12-19 15:32 Maxim Ganetsky Fixed in Revision => 56795
2017-12-19 15:32 Maxim Ganetsky LazTarget => -
2017-12-19 15:32 Maxim Ganetsky Note Added: 0104848
2017-12-19 15:32 Maxim Ganetsky Status assigned => resolved
2017-12-19 15:32 Maxim Ganetsky Fixed in Version => 1.10
2017-12-19 15:32 Maxim Ganetsky Resolution open => fixed
2017-12-19 23:41 Maxim Ganetsky Fixed in Version 1.10 => 1.8.2
2017-12-24 11:55 Marcelo B Paula Note Added: 0104984
2017-12-24 11:55 Marcelo B Paula Status resolved => closed